Package com.sun.jna.platform.mac

# Class SystemB.IFdata64

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.mac.SystemB.IFdata64

Enclosing interface:
  SystemB

@FieldOrder({"ifi_type","ifi_typelen","ifi_physical","ifi_addrlen","ifi_hdrlen","ifi_recvquota","ifi_xmitquota","ifi_unused1","ifi_mtu","ifi_metric","ifi_baudrate","ifi_ipackets","ifi_ierrors","ifi_opackets","ifi_oerrors","ifi_collisions","ifi_ibytes","ifi_obytes","ifi_imcasts","ifi_omcasts","ifi_iqdrops","ifi_noproto","ifi_recvtiming","ifi_xmittiming","ifi_lastchange"}) public static class SystemB.IFdata64 extends Structure
Data type as part of IFmsgHdr

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`byte`
`ifi_addrlen`
`long`
`ifi_baudrate`
`long`
`ifi_collisions`
`byte`
`ifi_hdrlen`
`long`
`ifi_ibytes`
`long`
`ifi_ierrors`
`long`
`ifi_imcasts`
`long`
`ifi_ipackets`
`long`
`ifi_iqdrops`
`SystemB.Timeval`
`ifi_lastchange`
`int`
`ifi_metric`
`int`
`ifi_mtu`
`long`
`ifi_noproto`
`long`
`ifi_obytes`
`long`
`ifi_oerrors`
`long`
`ifi_omcasts`
`long`
`ifi_opackets`
`byte`
`ifi_physical`
`byte`
`ifi_recvquota`
`int`
`ifi_recvtiming`
`byte`
`ifi_type`
`byte`
`ifi_typelen`
`byte`
`ifi_unused1`
`byte`
`ifi_xmitquota`
`int`
`ifi_xmittiming`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`IFdata64()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ifi_type

public byte ifi_type

### ifi_typelen

public byte ifi_typelen

### ifi_physical

public byte ifi_physical

### ifi_addrlen

public byte ifi_addrlen

### ifi_hdrlen

public byte ifi_hdrlen

### ifi_recvquota

public byte ifi_recvquota

### ifi_xmitquota

public byte ifi_xmitquota

### ifi_unused1

public byte ifi_unused1

### ifi_mtu

public int ifi_mtu

### ifi_metric

public int ifi_metric

### ifi_baudrate

public long ifi_baudrate

### ifi_ipackets

public long ifi_ipackets

### ifi_ierrors

public long ifi_ierrors

### ifi_opackets

public long ifi_opackets

### ifi_oerrors

public long ifi_oerrors

### ifi_collisions

public long ifi_collisions

### ifi_ibytes

public long ifi_ibytes

### ifi_obytes

public long ifi_obytes

### ifi_imcasts

public long ifi_imcasts

### ifi_omcasts

public long ifi_omcasts

### ifi_iqdrops

public long ifi_iqdrops

### ifi_noproto

public long ifi_noproto

### ifi_recvtiming

public int ifi_recvtiming

### ifi_xmittiming

public int ifi_xmittiming

### ifi_lastchange

public SystemB.Timeval ifi_lastchange

## Constructor Details

### IFdata64

public IFdata64()